petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawRestoreSingleton

Remove access to a PetscDraw object as if it were owned by the one process.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawRestoreSingleton(PetscDraw draw,PetscDraw *sdraw)

Collective on PetscDraw

### Input Parameters

| draw | - the original window
| sdraw | - the singleton window

### See Also

PetscDrawGetSingleton(), PetscViewerGetSingleton(), PetscViewerRestoreSingleton()

### Level

advanced

### Location

src/sys/classes/draw/interface/draw.c

### Implementations

PetscDrawRestoreSingleton_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawRestoreSingleton_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawRestoreSingleton_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages